function[a]=stac_neom_n(k,lambda,mi,n);
% [a]=stac_neom_n(k,lambda,mi,n)
% 
% Pot prvky a0,a1,...,ak stacionrnho rozloen
% systmu hromadn obsluhy M|M|n|Inf|FIFO.
%
% Vstupn parametry:
% k ......... index poslednho prvku stacionrnho rozloen
% n ......... poet linek obsluhy
% lambda .... parametr vstupnho proudu
% mi ........ parametr obsluhy
%
% Vstupn parametry:
% a ......... stacionrn rozloen (a=(a0,a1,...,ak))
% (aj ....... pst, e v systmu je prv j zkaznk)

beta=lambda/mi;
ro=beta/n;
if ro<1
  a(1)=inv(sum(beta.^(0:n-1)./factorial(0:n-1))+n*beta^n/factorial(n)/(n-beta));
  if k<=n
   a(2:k+1)=beta.^(1:k)./factorial(1:k)*a(1);
  else
   a(2:n+1)=beta.^(1:n)./factorial(1:n)*a(1);
   a(n+2:k+1)=beta.^(n+1:k)*a(1)./(factorial(n)*n.^((n+1:k)-n));
  end;
else
  error('System se neme stabilizovat. Intenzita provozu je vt ne 1.')
end;